<?php

//vérification du ftp
if (!is_dir('../application/users'))
 echo "<H1>Le répertoire /application/users n'existe pas votre transfert ftp n'a pas fonctionné correctement, refaites le !!</H1>";
if (!is_dir('../application/script'))
 echo "<H1>Le répertoire /application/script n'existe pas votre transfert ftp n'a pas fonctionné correctement, refaites le !!</H1>";
if (!is_dir('../application/access'))
 echo "<H1>Le répertoire /application/access n'existe pas votre transfert ftp n'a pas fonctionné correctement, refaites le !!</H1>";
if (!is_dir('../application/ergonomie/_images'))
 echo "<H1>Le répertoire /application/ergonomie/_images n'existe pas votre transfert ftp n'a pas fonctionné correctement, refaites le !!</H1>";


// Création du fichier de restriction d'accès
include("script_outils_install.php");
		
		 
 if ( isset($_GET['modif']) )
 	$modif =  $_GET['modif'];
 else
 	$modif = "";	

$evt="";
$idSite= "";


if (eregi("free.fr", $_SERVER['HTTP_HOST'])) {
	
	//vérification du ftp
if (!is_dir('../sessions'))
 echo "<H1>Le répertoire \"sessions\" à la racine est obligatoire sur free, votre transfert ftp n'a pas fonctionné correctement, refaites le !! <br></H1>";

	
	$evt="free";
	$idSite= substr($_SERVER['HTTP_HOST'],0,-8); 
  }




// PARAMETRES BD
if( $modif == 'BD') {
	
	setBaseIniConf("serveurName",$_POST['UrlBD']);
	setBaseIniConf("baseName",$_POST['NameBD']);
	setBaseIniConf("login",$_POST['UserBD']);
	setBaseIniConf("pwd",$_POST['pwdBD']);
	

}	

// PARAMETRES Administrateur
if( $modif == 'creerBD') {
	
	createTables();
}




// PARAMETRES Administrateur
if( $modif == 'admin') {
	//on vérifie d'abord que le rep admin EXISTE
	if (getValeurIni("evt")=="local" || rename("../application/".getValueConf("fotoweb.conf","pathAdmin"),"../application/".$_POST['UrlAdmin'])  )
{
		//Del Pass
		delUserPassAdmin();
		setKeyConf("pathAdmin",$_POST['UrlAdmin']);
		setAdminUser($_POST['UserAdmin'],$_POST['PwdAdmin']);
	} 
	else 
	   echo "Impossible de renommer le répertoire application/".getValueConf("fotoweb.conf","pathAdmin")." VERIFIEZ qu'il EXISTE !"; 

}

// PARAMETRES utilisateurPrivilégié
if( $modif == 'monlogin') {
	//on vérifie d'abord que le rep admin EXISTE
		//Del Pass
		delUserPassPriv();
		setKeyConf("monLogin",$_POST['UserPriv']);
		
		setPrivUser($_POST['UserPriv'],$_POST['PwdPriv']);
	
}



		
echo "<HTML>";
echo "<BODY >";

echo "<TABLE border=3 width='700px'>";
  
  
  echo "<form id='formInstall_BD' method=POST action='".$_SERVER['PHP_SELF']."?modif=BD'>"; 
  if ($evt=="free")
  	echo "<TR><td colspan='4'><H2>Etape 0 : </H2><A href='http://subscribe.free.fr/acces/createbase.html'>La base de données doit etre activée par free</a>, elle est active environ 24 heures après votre demande</td></TR>"; 
 
  echo "<TR><TD height='80px' colspan='4'>&nbsp;</TD></TR>";
  echo "<TR><td colspan='4'><H2>Etape 1 : Se connecter à la base de données</H2></td></TR>";
    
  echo "<TR>";
  if ($evt=="free"){
	  echo "<td>Nom du serveur MySql sur free = \"sql.free.fr\"</td>";
	  echo "<td>Nom de la base MySql sur free = UserSite=".$idSite."</td>";
	  echo "<td>User de connection à la Base de donnees sur free = UserSite=".$idSite."</td>";
	  echo "<td>Mot de passe Base donnees sur free : il s'agit du même mot de passe que celui du compte ftp</td>";
  }else{
	  echo "<td>Nom du serveur MySql</td>";
	  echo "<td>Nom de la base MySql</td>";
	  echo "<td>User de connection à la Base de donnees</td>";
	  echo "<td>Mot de passe Base donnees</td>";
 }
  echo "<TR></TR>";
  if ($evt=="free"){
	  echo "<td><input type=text name=UrlBD size=15 maxlength=2048 value='sql.free.fr' ></td>";
	  echo "<td><input type=text name=NameBD size=15 maxlength=2048 value='".$idSite."' ></td>";
	  echo "<td><input type=text name=UserBD size=15 maxlength=2048 value='".$idSite."' ></td>";
  }else{
  	  echo "<td><input type=text name=UrlBD size=15 maxlength=2048 value='".getValueConf("baseini.conf","serveurName")."'></td>";
	  echo "<td><input type=text name=NameBD size=15 maxlength=2048 value='".getValueConf("baseini.conf","baseName")."'></td>";
	  echo "<td><input type=text name=UserBD size=15 maxlength=2048 value='".getValueConf("baseini.conf","login")."'></td>";
  }
  
  echo "<td><input type=text name=pwdBD size=15 maxlength=2048 value='".getValueConf("baseini.conf","pwd")."'></td>";
  echo "</TR><TR><td colspan='4' align='center'><input type=submit name='btBD' value='Valider'></td>";
  echo "</TR>";
  echo "</form>"; 
  
  echo "<TR><TD height='80px' colspan='4'>&nbsp;</TD></TR>";
  
  echo "<TR><td colspan='4'><H2>Etape 2 : Créer les tables nécéssaires au fonctionnement de fotoweb</H2></td></TR>";
  echo "<form id='formInstall_BD' method=POST action='".$_SERVER['PHP_SELF']."?modif=creerBD'>"; 
  echo "<TR>";
  echo "<td colspan='4'>Cliquez ici pour créer la base de données, pas de message de confirmation si réussite, si vous cliquez une deuxieme fois vous aurez des messages d'erreur ERREUR : CREATE TABLE puisque les tables sont déjà crées, il vaut mieux cliquer plusieurs fois qd même pour être sur de la création ;)</td>";
  echo "<TR></TR>";
 
   echo "</TR><TR><td colspan='4' align='center'><input type=submit name='creerBD' value='Créer Base de Données'></td>";
  echo "</TR>";
  echo "</form>"; 
  
  
  echo "<TR><TD height='80px' colspan='4'>&nbsp;</TD></TR>";
  
  echo "<TR><td colspan='4'><H2>Etape 3 : Paramétrer l'administration de fotoweb</H2></td></TR>";
  echo "<form id='formInstall_Admin' method=POST action='".$_SERVER['PHP_SELF']."?modif=admin'>"; 
  echo "<TR>";
  echo "<td>Nom du répertoire d'administration: Le changer améliore la sécurité (je vous le conseille donc) Vous pouvez ensuite vérifier par ftp que votre répertoire /application/".getValueConf("fotoweb.conf","pathAdmin")." a bien été renommé</td>";
  echo "<td>Utilisateur Administrateur</td>";
  echo "<td>Mot de passe administrateur</td>";
  echo "<TR></TR>";
  echo "<td><input type=text name=UrlAdmin size=15 maxlength=2048 value='".getValueConf("fotoweb.conf","pathAdmin")."'></td>";
  echo "<td><input type=text name=UserAdmin size=15 maxlength=2048 value='".getValeurIni("loginAdministrateur")."'></td>";
  echo "<td><input type=text name=PwdAdmin size=15 maxlength=2048 value='".getValueConf(getValeurIni("nomFichierPwd"),getValeurIni("loginAdministrateur"))."'></td>";
  echo "</TR><TR><td colspan='4' align='center'><input type=submit name='btAdmin' value='Valider'></td>";
  echo "</TR>";
  echo "</form>"; 
  
  echo "<TR><TD height='80px' colspan='4'>&nbsp;</TD></TR>";
  
  echo "<TR><td colspan='4'><H2>Etape 4 : Paramétrer un utilisateur privilégié : vous</H2></td></TR>";
  echo "<form id='formInstall_Admin' method=POST action='".$_SERVER['PHP_SELF']."?modif=monlogin'>"; 
  echo "<TR>";
  echo "<td>Utilisateur Privilégié</td>";
  echo "<td>Mot de passe Utilisateur Privilégié</td>";
  echo "<TR></TR>";
  echo "<td><input type=text name=UserPriv size=15 maxlength=2048 value='".getValeurIni("monLogin")."'></td>";
  echo "<td><input type=text name=PwdPriv size=15 maxlength=2048 value='".getValueConf(getValeurIni("nomFichierPwd"),getValeurIni("monLogin"))."'></td>";
  echo "</TR><TR><td colspan='4' align='center'><input type=submit name='btPriv' value='Valider'></td>";
  echo "</TR>";
  
  echo "<TR><TD height='80px' colspan='4'>&nbsp;</TD></TR>";
  
  echo "<TR><td colspan='4'><H2>Etape 5 : Une fois ce paramétrage effectué, vérifiez que cela marche, en vous connectant en administrateur sur le site puis EFFACEZ COMPLETEMENT LE REPERTOIRE INSTALL sinon n'importe qui pourra y avoir accès !</H2></td></TR>";

  
  
  
  echo "</TABLE>";
echo "</BODY>";
echo "</HTML>";
		

?>